//#include "windowHandler.h"
#include <GL/gl.h>
#include <GL/glu.h>
#include <fstream.h>
class Array
{
 public:
  Array ();
  Array (unsigned int arraySize);

  void createArray (unsigned int newArraySize);
  void resizeArray (unsigned int newSize);
  void finalizeArray (void);
  void addEntry (GLfloat entry);
  void addEntry(GLfloat entry0, GLfloat entry1, GLfloat entry2);
  
  GLfloat* getArray ();
  int getCount();
  void debug(void);
 private:
  GLfloat* array;
  unsigned int arraySize;
  unsigned int entryCount;

};
